### Method

# EvinceDocument Document load

#### Declaration [src]

    gboolean
    ev_document_load (
      EvDocument* document,
      const char* uri,
      GError** error
    )

#### Description [src]

Loads `document` from `uri`.

On failure, `FALSE` is returned and `error` is filled in. If the document is encrypted, EV_DEFINE_ERROR_ENCRYPTED is returned. If the backend cannot load the specific document, EV_DOCUMENT_ERROR_INVALID is returned. If the backend does not support the format for the document’s contents, EV_DOCUMENT_ERROR_UNSUPPORTED_CONTENT is returned. Other errors are possible too, depending on the backend used to load the document and the URI, e.g. `GIOError`, `GFileError`, and `GConvertError`.

#### Parameters

`uri` | `const char*`
| The document’s URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, or `FALSE` on failure.